import React from "react";
import { MatrixEvent, Relations } from "matrix-js-sdk/src/matrix";
import { UnstableValue } from "matrix-js-sdk/src/NamespacedValue";
import RoomContext from "../../../contexts/RoomContext";
export declare const REACTION_SHORTCODE_KEY: UnstableValue<"shortcode", "com.beeper.reaction.shortcode">;
interface IProps {
    mxEvent: MatrixEvent;
    reactions?: Relations | null | undefined;
}
interface IState {
    myReactions: MatrixEvent[] | null;
    showAll: boolean;
}
export default class ReactionsRow extends React.PureComponent<IProps, IState> {
    static contextType: React.Context<import("../../structures/RoomView").IRoomState & {
        threadId?: string;
    }>;
    context: React.ContextType<typeof RoomContext>;
    constructor(props: IProps, context: React.ContextType<typeof RoomContext>);
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentDidUpdate(prevProps: IProps): void;
    private onDecrypted;
    private onReactionsChange;
    private getMyReactions;
    private onShowAllClick;
    render(): React.ReactNode;
}
export {};
